/* 
 * File:   analogHeader.h
 * Author: PBB
 *
 * Modified on April 28, 2014
 */

#ifndef ANALOGHEADER_H
#define	ANALOGHEADER_H

long GetADC(int analogSel);
int XDecide(long XValue);
int YDecide(long YValue);

long GetADC(int analogSel) {
    long ADCValue;
    AD1CHSbits.CH0SA = analogSel;   // chooses which AN to read from
    AD1CON1SET = 0x8000; // turn on the ADC
    AD1CON1SET = 0x0002; // start sampling ...
    delay_ms(100); // for 100 ms
    AD1CON1CLR = 0x0002; // start Converting
    while (!(AD1CON1 & 0x0001)); // conversion done?
    ADCValue = ADC1BUF0; // yes then get ADC value
    AD1CON1SET = 0x0000;
    return ADCValue;
}

int XDecide(long XValue) {
    int Direction, Magnitude;
    if (XValue > 530) {
        Direction = 1; // Go Right
    } else if (XValue < 493) {
        Direction = 2; // Go Left
    } else
        Direction = 0;

    return Direction;
}

int YDecide(long YValue) {
    int Direction, Magnitude;
    if (YValue > 530) {
        Direction = 1; // Go Up
    } else if (YValue < 493) {
        Direction = 2; // Go Down
    } else
        Direction = 0;

    return Direction;
}

#endif	/* ANALOGHEADER_H */

