#ifndef _KITSUPPORT_H_
#define _KITSUPPORT_H_
#include <xc.h>
#include <stdint.h>
#include <plib.h>
//#define _XTAL_FREQ 20000000UL
/************************************************************
header file for the support routines for the kit board
* At present, included are:
* Delay routines
* serial (spi) LCD
* serial port routines
* switcher to allow stdout to go to LCD or serial port
*/

// LCD Function prototypes

/* specific to spi display */

void LCD_init(unsigned long rate);
void LCD_char(char val);
void LCD_display_on(void);
void LCD_display_off(void);
void LCD_clear(void);
void LCD_backlight(char val);
void LCD_contrast(char val);
void LCD_setpos(char row, char col);


/* serial I/O via usart 6 prototypes*/

unsigned char getu(void);  // get char
void putu(unsigned char val); // put char

void serial_init(unsigned long rate);


void set_output_device(unsigned char device);

/* delay routines*/
void set_sys_clock(uint64_t val);
uint64_t get_sys_clock(void);
void set_pb_clk(uint64_t val);
uint64_t get_pb_clock(void);
void delay_ms(unsigned long val);
void delay_us(unsigned long val);

#endif //KITSUPPORT_H